import { Nil } from '../interfaces';
/**
 * Creates an array of unique values that are included in all given arrays using SameValueZero for equality comparisons. The order and references of result values are determined by the first array.
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 6,183 bytes
 * - Micro-dash: 145 bytes
 */
export declare function intersection<T>(...arrays: Array<Nil | readonly T[]>): T[];
