/**
 * Converts `string` to camel case.
 *
 * Differences from lodash:
 * - requires `string` to be a string
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 6,107 bytes
 * - Micro-dash: 375 bytes
 */
export declare function camelCase(string: string): string;
