/**
 * Creates an array of the own enumerable string keyed property values of `object`.
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 3,590 bytes
 * - Micro-dash: 184 bytes
 */
export declare function values<T>(object: T): Array<T[keyof T]>;
export declare function valuesOfNonArray<T>(object: T): Array<T[keyof T]>;
